import { createApp } from 'vue'
// 全局默认样式
import './style.scss'
// 进度条样式
import 'nprogress/nprogress.css'
// element-ui样式
import 'element-plus/dist/index.css'
import App from './App.vue'
// vue Router
import router from '@/router/index'

import store from '@/stores/index'

// 覆盖element默认样式
import '@/styles/element.scss'
// import '@/styles/element-variables.scss'

import * as ElementPlusIconsVue from '@element-plus/icons-vue'

const app = createApp(App)
// 注册iocn图标
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component)
}

app.use(store).use(router).mount('#app')
